Subject: Re: New Version Notification for draft-leiba-3777upd-eligibility-01.txt

From: Barry Leiba <[email-masked]>
Date: Thu, 16 Aug 2012 17:29:39 -0400

SM and I have merged our 3777 update proposals, and we have posted the
merged version.  This is BCCed to the NomCom discussion list; please
take discussion of this to the main IETF discussion list now.

Reminder: the primary purpose of this is to add the IAOC to some of
the points in RFC 3777, since 3777 pre-dates the formation of the
IAOC.  Some of the IAOC-related processed are described in RFC 4333,
so this doesn't cover everything -- but it adds the IAOC to what we
think is appropriate.  It also incorporates the one Verified erratum
against 3777, and clarifies that a few other people should not be
eligible to volunteer for the NomCom -- in practical matters, it has
little effect, because most of them would not be volunteering anyway.

We aim to ask Russ to AD-sponsor this soon.  Further discussion is open.

Barry (and SM)

> A new version of I-D, draft-leiba-3777upd-eligibility-01.txt
> has been successfully submitted by Barry Leiba and posted to the
> IETF repository.
>
> Filename:        draft-leiba-3777upd-eligibility
> Revision:        01
> Title:           Update to RFC 3777 to Clarify Nominating Committee Eligibility of IETF Leadership
> Creation date:   2012-08-16
> WG ID:           Individual Submission
> Number of pages: 7
> URL:             http://www.ietf.org/internet-drafts/draft-leiba-3777upd-eligibility-01.txt
> Status:          http://datatracker.ietf.org/doc/draft-leiba-3777upd-eligibility
> Htmlized:        http://tools.ietf.org/html/draft-leiba-3777upd-eligibility-01
> Diff:            http://www.ietf.org/rfcdiff?url2=draft-leiba-3777upd-eligibility-01
>
> Abstract:
>    RFC 3777 specifies that "sitting members" of the IAB and IESG "may
>    not volunteer to serve on the nominating commitee".  Since that
>    document was written the IAOC was formed, and that body is not
>    covered by RFC 3777.  There is also uncertainty about whether ex-
>    officio members and liaisons are included as "sitting members".  This
>    document clarifies those situations.

---

From: Russ Housley <[email-masked]>
Date: Fri, 17 Aug 2012 10:05:59 -0400

The document says:

 	   o  Bullet 3, paragraph 1 is replaced by this:	
 		
 	         The nominating committee comprises at least a Chair, 10 voting	
 	         volunteers, 4 liaisons, and an advisor.

The Past Chair is missing.

The adviser is not required, as implied by the "at least" in this sentence.

Also, if I understand properly, the ISOC BoT is allowed to provide a liaison, but they are not required to do so.

Russ

---

From: Russ Housley <[email-masked]>
Date: Fri, 17 Aug 2012 10:21:28 -0400

The document says:

 	   o  Bullet 15 is replaced by these two bullets:	
 		
 	      15.1.  Members of the Internet Society Board of Trustees and	
 	           sitting members of the IAB, the IESG, and the IAOC, including	
 	           members in ex-officio positions, and not including liaisons,	
 	           may not volunteer to serve as voting members of the	
 	           nominating committee.

I find "liaison" confusing here.  You mean liaisons to the IESG, IAB, and IAOC.  You do not mean liaisons to the NomCom.

Russ

---

From: Eliot Lear <[email-masked]>
Date: Fri, 17 Aug 2012 16:36:36 +0200

> I find "liaison" confusing here.  You mean liaisons to the IESG, IAB, and IAOC.  You do not mean liaisons to the NomCom.
Or do you mean liaison managers and representatives as defined in RFC-4052?

Eliot

---

From: S Moonesamy <[email-masked]>
Date: Fri, 17 Aug 2012 07:40:16 -0700

>The Past Chair is missing.

The Past Chair is mentioned in Bullet 10.  The only change in the 
above text is the increase in liaisons from 3 to 4 to include the 
liaison from the IAOC.

>The adviser is not required, as implied by the "at least" in this sentence.

Bullet 3, paragraph 8 mentions that "the Chair of last year's 
nominating committee serves as an advisor".  The "at least" is for 
the composition of the nominating committee, i.e. it can have more 
than four liaisons (paragraph 3) or an additional advisor (paragraph 2).

>Also, if I understand properly, the ISOC BoT is allowed to provide a 
>liaison, but they are not required to do so.

Yes.

Regards,
S. Moonesamy

---

From: John C Klensin <[email-masked]>
Date: Fri, 17 Aug 2012 12:09:01 -0400

--On Friday, August 17, 2012 10:05 -0400 Russ Housley
<[email-masked]> wrote:

>  	         The nominating committee comprises at least a
> Chair, 10 voting	  	         volunteers, 4 liaisons, and an
> advisor.
> 
> Also, if I understand properly, the ISOC BoT is allowed to
> provide a liaison, but they are not required to do so.

Russ,

Isn't the "advisor" the "Past Chair" in the context of that
sentence?   Note that "comprises at least a Chair, 10 voting
volunteers, 3 liaisons, and an advisor" comes straight out of
3777, where it is the first paragraph of item 3 of Section 4.

To avoid making the text ambiguous, confusing, or overly
sensitive to things that might change as other things evolve,
would it to be appropriate to say:

	The nominating committee is comprised of a Chair, ten
	voting volunteers, the immediate past nominating
	committee Chair in an advisory capacity, plus liaisons
	and optional additional advisor(s) as described in
	Section 4 of RFC 3777.

??

best,
   john

---

From: Barry Leiba <[email-masked]>
Date: Fri, 17 Aug 2012 15:05:06 -0400

Russ has raised a couple of good points.  I like John's solution to
one of them, and SM has proposed a good solution to the other off
list.  I have the following changes in the pending next version.

I've slightly edited John's text, and Section 4, bullet 3, paragraph 1
will now change to this:

   The nominating committee comprises a Chair, ten voting volunteers,
   the immediate past nominating committee Chair as an advisor, plus
   liaisons and possible additional advisor(s) as described herein.

SM suggests fixing the "liaisons" issue by changing the definition of
"sitting member" instead of by trying to explain it in bullet 15.1.  I
agree that that's cleaner.

The update to Section 2, paragraph 6 will change to this:

sitting member:  A person who is currently serving a term of membership
      in, and having a standing to participate in the decisions of,
      the IESG, the IAB, the IAOC, or the ISOC Board of Trustees.
      Liaisons from other bodies are not sitting members, by this definition.
      (For example, an IESG liaison to the IAB is not a sitting member of
      the IAB, though it may be a sitting member of the IESG.)

The new bullet 15.1 in Section 4 will change to this:

15.1.  Members of the Internet Society Board of Trustees and sitting
        members of the IAB, the IESG, and the IAOC, including members
        in ex-officio positions, may not volunteer to serve as voting members
        of the nominating committee.

--
Barry

---

From: Michael StJohns <[email-masked]>
Date: Fri, 17 Aug 2012 15:30:37 -0400

The advisor is the Immediately previous chair, or a member of the previous noncom designated by that chair if he/she declines to serve or is otherwise unavailable. 

Sent from my iPad

---

From: John C Klensin <[email-masked]>
Date: Fri, 17 Aug 2012 15:33:56 -0400

--On Friday, August 17, 2012 15:05 -0400 Barry Leiba
<[email-masked]> wrote:

> Russ has raised a couple of good points.  I like John's
> solution to one of them, and SM has proposed a good solution
> to the other off list.  I have the following changes in the
> pending next version.
> 
> I've slightly edited John's text, and Section 4, bullet 3,
> paragraph 1 will now change to this:
> 
>    The nominating committee comprises a Chair, ten voting
> volunteers,    the immediate past nominating committee Chair
> as an advisor, plus    liaisons and possible additional
> advisor(s) as described herein.

Yes, much better.  I realized after I sent the note that I
intended to say "Section 4 of RFC 3777 as amended by subsequent
documents including this one", but your text is more to the
point.

> SM suggests fixing the "liaisons" issue by changing the
> definition of "sitting member" instead of by trying to explain
> it in bullet 15.1.  I agree that that's cleaner.
> 
> sitting member:  A person who is currently serving a term of
> membership       in, and having a standing to participate in
> the decisions of,       the IESG, the IAB, the IAOC, or the
> ISOC Board of Trustees.       Liaisons from other bodies are
> not sitting members, by this definition.       (For example,
> an IESG liaison to the IAB is not a sitting member of

This is still a tad ambiguous in principle (only).  For example,
it isn't clear whether, by that definition, the IAB Chair is a
sitting member of the IESG (no vote, but excluded from the
Nomcom as a sitting member of the IAB) or whether the IETF Chair
is a sitting member of the IAB (votes, but excluded from the
Nomcom anyway as a sitting member of the IESG).  There are other
such cases, but I believe all of them are, in practice, excluded
by some other rule.

>...

So I think it is ok... and the marginal aesthetics are not worth
worrying about.

    john

---

From: John C Klensin <[email-masked]>
Date: Fri, 17 Aug 2012 15:36:32 -0400

--On Friday, August 17, 2012 15:30 -0400 Michael StJohns
<[email-masked]> wrote:

> The advisor is the Immediately previous chair, or a member of
> the previous noncom designated by that chair if he/she
> declines to serve or is otherwise unavailable. 

That was what I thought until I reread 3777.  It says that the
immediately previous chair serves as an advisor but also says
that the Nomcom can appoint any other advisors it feels like.  I
assume that combination is part of where "at least" came from.

But Barry's new text gets rid of that odd and possibly confusing
way of stating things and is, IMO, a considerable improvement.

    john

---

From: Bob Hinden <[email-masked]>
Date: Fri, 17 Aug 2012 13:24:00 -0700

Barry, SM,

Given what started as a simple change has turned into many changes (14 changed paragraphs by my count), I am starting to think that doing a RFC3777 update document would be a better approach.  Then it would be easy to look at a diff from RFC3777 and see all of the changes.

Bob

---

From: S Moonesamy <[email-masked]>
Date: Fri, 17 Aug 2012 13:44:07 -0700

Hi Bob,
At 13:24 17-08-2012, Bob Hinden wrote:
>Given what started as a simple change has turned into many changes 
>(14 changed paragraphs by my count), I am starting to think that 
>doing a RFC3777 update document would be a better approach.  Then it 
>would be easy to look at a diff from RFC3777 and see all of the changes.

I thought about the update when I posted a related draft as minor 
changes look extensive due to the IAOC addition in various parts of 
the text.  I can post a draft which incorporates the changes from 
draft-leiba-3777upd-eligibility-01 to make the diff easier.

Would that help?

Regards,
S. Moonesamy

---

From: Bob Hinden <[email-masked]>
Date: Fri, 17 Aug 2012 13:53:35 -0700

SM,

On Aug 17, 2012, at 1:44 PM, S Moonesamy wrote:

> I thought about the update when I posted a related draft as minor changes look extensive due to the IAOC addition in various parts of the text.  I can post a draft which incorporates the changes from draft-leiba-3777upd-eligibility-01 to make the diff easier.
> 
> Would that help?

Yes, it would help for reviewing this draft, but it will still make it complicated for future noncom's to understand the rules.  A single document would be easier to understand.

I suppose an alternative would be to file an errata on RFC3777 that says something like add "IAOC" to everywhere in the document it says IESG, IAB, and ISOC Board of Trustees, and leave the specific changes as an excise to the reader.  :-)  

Bob

---

From: S Moonesamy <[email-masked]>
Date: Fri, 17 Aug 2012 14:15:26 -0700

Hi Bob,
At 13:53 17-08-2012, Bob Hinden wrote:
>Yes, it would help for reviewing this draft, but it will still make 
>it complicated for future noncom's to understand the rules.  A 
>single document would be easier to understand.

Ok.  I'll post a draft.

>I suppose an alternative would be to file an errata on RFC3777 that 
>says something like add "IAOC" to everywhere in the document it says 
>IESG, IAB, and ISOC Board of Trustees, and leave the specific 
>changes as an excise to the reader.  :-)

Yes. :-)  It's a little more than though as there is a change to 
Bullet 15.  There's the question of what to do about RFC 5633 and RFC 5680.

Regards,
S. Moonesamy

---

From: Russ Housley <[email-masked]>
Date: Fri, 17 Aug 2012 17:33:44 -0400

> 	and optional additional advisor(s) as described in

That is an improvement from my perspective.

Russ

---

From: Michael StJohns <[email-masked]>
Date: Fri, 17 Aug 2012 19:44:34 -0400

Read section 10, 3rd paragraph of RFC3777.  

> The prior year's Chair may select a designee from a pool composed of the voting
> volunteers of the prior year's committee and all prior Chairs if the Chair is unavailable.
> If the prior year's Chair is unavailable or is unable or unwilling to make such a
> designation in a timely fashion, the Chair of the current year's committee may select a
> designee in consultation with the Internet Society President.
So it's actually, the prior chair (first choice), any member of the prior committee, or 
any other prior chair.

Mike 

Sent from my iPad

---

From: Michael StJohns <[email-masked]>
Date: Sat, 18 Aug 2012 18:19:35 -0400

Below....

At 07:44 PM 8/17/2012, Michael StJohns wrote:
>>volunteers of the prior year's committee and all
>>       prior Chairs if the Chair is unavailable.
>>If the prior year's
>>       Chair is unavailable or is unable or unwilling to make such a

Sorry - while I love the iPad, at times its painful to edit things correctly.

The original reference to "advisor" in the collection of members in the original text is as above - the past chair or the chair's alternate selected as above.

The other reference to the "any other advisors" you mention below is elsewhere in 3777.  So we were both fondling different parts of the same elephant....

With respect to the current edit of the text I'd make one more change to make this clear:

>        committee Chair 

[or their alternate]

> in an advisory capacity, plus liaisons

Mike

>On Aug 17, 2012, at 15:36, John C Klensin <<mailto:[email-masked]>[email-masked]> wrote:
>
>>
>>
>><<mailto:[email-masked]>[email-masked]> wrote:
>>

---

From: Barry Leiba <[email-masked]>
Date: Sat, 18 Aug 2012 20:39:32 -0400

>         and optional additional advisor(s) as described in

Ack; makes sense.  I'll adjust my upcoming version.

Barry

---

From: Barry Leiba <[email-masked]>
Date: Sat, 18 Aug 2012 20:59:24 -0400

> Ack; makes sense.  I'll adjust my upcoming version.

I went ahead and posted it:

URL:
http://www.ietf.org/internet-drafts/draft-leiba-3777upd-eligibility-02.txt
Status:          http://datatracker.ietf.org/doc/draft-leiba-3777upd-eligibility
Htmlized:        http://tools.ietf.org/html/draft-leiba-3777upd-eligibility-02
Diff:
http://www.ietf.org/rfcdiff?url2=draft-leiba-3777upd-eligibility-02

Barry